package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolDeleteactivityRequest struct {
	/*
	   需要删除的活动的信息     */
	Param *domain.AlibabaHmMarketingItempoolDeleteactivityCommonActivityParam `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingItempoolDeleteactivityRequest) SetParam(v domain.AlibabaHmMarketingItempoolDeleteactivityCommonActivityParam) *AlibabaHmMarketingItempoolDeleteactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingItempoolDeleteactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolDeleteactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
